Models

Models are organized by category. The same model name can appear under different categories when it exposes different workflow surfaces.

List Models

GET https://shark.ai/api/v1/models

{
  "data": [
    {
      "id": "anthropic/claude-opus-4.7",
      "category": "language",
      "features": {
        "supportedProtocols": [
          "openai_chat_completions",
          "anthropic_messages"
        ]
      }
    },
    {
      "id": "google/gemini-3.1-flash-image-preview",
      "category": "language",
      "features": {
        "supportedProtocols": [
          "openai_chat_completions",
          "gemini_generate_content"
        ]
      }
    },
    {
      "id": "google/gemini-3.1-flash-image-preview",
      "category": "image",
      "features": {
        "supportedProtocols": [
          "openai_images_generations"
        ]
      }
    }
  ]
}

Categories

CategoryPrimary APIs
languageChat Completions, Messages, Gemini Generate Content
imageImages Generations
videoVideo task creation and polling